org.apache.ignite.igfs.mapreduce.records

## Class IgfsStringDelimiterRecordResolver

- java.lang.Object
- - org.apache.ignite.igfs.mapreduce.records.IgfsByteDelimiterRecordResolver
  - - org.apache.ignite.igfs.mapreduce.records.IgfsStringDelimiterRecordResolver

All Implemented Interfaces:
  Externalizable, Serializable, IgfsRecordResolver

    public class IgfsStringDelimiterRecordResolver
    extends IgfsByteDelimiterRecordResolver

Record resolver based on delimiters represented as strings. Works in the same way as `IgfsByteDelimiterRecordResolver`, but uses strings as delimiters instead of byte arrays.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsStringDelimiterRecordResolver()` Empty constructor required for `Externalizable` support.
`IgfsStringDelimiterRecordResolver(Charset charset, String... delims)` Creates record resolver from given string and given charset.
`IgfsStringDelimiterRecordResolver(String... delims)` Creates record resolver based on given string with default charset.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.igfs.mapreduce.records.IgfsByteDelimiterRecordResolver

`readExternal, resolveRecords, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsStringDelimiterRecordResolver

    public IgfsStringDelimiterRecordResolver()

Empty constructor required for `Externalizable` support.

#### IgfsStringDelimiterRecordResolver

    public IgfsStringDelimiterRecordResolver(Charset charset,
                                             String... delims)

Creates record resolver from given string and given charset.

Parameters:
  `delims` - Delimiters.
  `charset` - Charset.

#### IgfsStringDelimiterRecordResolver

    public IgfsStringDelimiterRecordResolver(String... delims)

Creates record resolver based on given string with default charset.

Parameters:
  `delims` - Delimiters.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `IgfsByteDelimiterRecordResolver`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020